Module MBTconsts
    Public Const HOSTVER_SDKTEST = 9
    ' HOSTVER_SDKTEST is the generic login hostid. However,
    ' please always use your assigned SDK ID in this field.

    ' Buy/Sell action values
    Public Const VALUE_BUY = 10000
    Public Const VALUE_SELL = 10001
    Public Const VALUE_SELLSHT = 10002

    ' Time-in-force values
    Public Const VALUE_DAY = 10011
    Public Const VALUE_DAYNB = 10013 ' (NYSE only)
    Public Const VALUE_DAYPLUS = 10009 ' ARCA & INET after hours
    Public Const VALUE_GTC = 10008 ' mandatory for Forex
    Public Const VALUE_IOC = 10010 ' OTC

    ' Capacity values
    Public Const VALUE_AGENCY = 10020
    Public Const VALUE_PRINCIPAL = 10021

    ' OrderType values
    Public Const VALUE_DISCRETIONARY = 10043
    Public Const VALUE_LIMIT = 10030
    Public Const VALUE_LIMIT_CLOSE = 10057
    Public Const VALUE_LIMIT_OPEN = 10056
    Public Const VALUE_LIMIT_STOPMKT = 10064
    Public Const VALUE_LIMIT_TRAIL = 10054
    Public Const VALUE_LIMIT_TTO = 10050
    Public Const VALUE_MARKET = 10031
    Public Const VALUE_MARKET_CLOSE = 10039
    Public Const VALUE_MARKET_OPEN = 10038
    Public Const VALUE_MARKET_STOP = 10069
    Public Const VALUE_MARKET_TRAIL = 10055
    Public Const VALUE_MARKET_TTO = 10051
    Public Const VALUE_PART = 10046
    Public Const VALUE_PEGGED = 10062
    Public Const VALUE_RESERVE = 10040
    Public Const VALUE_RSV_DISC = 10044
    Public Const VALUE_RSV_PEGGED = 10066
    Public Const VALUE_RSV_TTO = 10052
    Public Const VALUE_STOPLMT_STOP = 10072
    Public Const VALUE_STOPLMT_TRAIL = 10068
    Public Const VALUE_STOPLMT_TTO = 10067
    Public Const VALUE_STOP_LIMIT = 10033
    Public Const VALUE_STOP_MARKET = 10032
    Public Const VALUE_STOP_STOP = 10073
    Public Const VALUE_STOP_TRAIL = 10065
    Public Const VALUE_STOP_TTO = 10053
    Public Const VALUE_TRAILING_STOP = 10034
    Public Const VALUE_TTO_ORDER = 10037
    Public Const VALUE_VWAP = 10063

    ' Alert severities
    Public Const ALERT_VAL_CRIT = 30001
    Public Const ALERT_VAL_NORMAL = 30000
    Public Const ALERT_VAL_REINSTATE = 30002

    ' Alert types
    Public Const ALERT_TYPE_ACCT = 30010
    Public Const ALERT_TYPE_INTERNAL = 30014
    Public Const ALERT_TYPE_LOGOFF = 30013
    Public Const ALERT_TYPE_ORDSRV = 30012
    Public Const ALERT_TYPE_USER = 30011

    ' QUOTERECORD lFlags bitfield values
    Public Const VALUE_MARGINABLE = &H2
    Public Const VALUE_SHORTABLE = &H1

    ' Autocompletion options -- may be OR'ed together
    Public Const ACO_AUTOAPPEND = &H2
    Public Const ACO_AUTOSUGGEST = &H1
    Public Const ACO_NONE = 0
    Public Const ACO_UPDOWNKEYDROPSLIST = &H20
    Public Const ACO_USETAB = &H10

    Public Const VALUE_NORMAL = 10042
End Module
